# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KStdAccel::ShortcutList Class Reference

KShortcutList implementation that accesses KStdAccel actions. More...

`#include <kshortcutlist.h>`

Inheritance diagram for KStdAccel::ShortcutList:

[legend]
Collaboration diagram for KStdAccel::ShortcutList:

[legend]
List of all members.

## Public Member Functions

| ShortcutList ()
virtual uint | count () const
virtual QString | name (uint index) const
virtual QString | label (uint index) const
virtual QString | whatsThis (uint index) const
virtual const KShortcut & | shortcut (uint index) const
virtual const KShortcut & | shortcutDefault (uint index) const
virtual bool | isConfigurable (uint index) const
virtual bool | setShortcut (uint index, const KShortcut &shortcut)
virtual QVariant | getOther (Other, uint index) const
virtual bool | setOther (Other, uint index, QVariant)
virtual bool | save () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

KShortcutList implementation that accesses KStdAccel actions.

Definition at line 261 of file kshortcutlist.h.

## Constructor & Destructor Documentation

KStdAccel::ShortcutList::ShortcutList | ( |  | ) |

| Creates a new ShortcutList. Definition at line 315 of file kstdaccel.cpp.

## Member Function Documentation

uint KStdAccel::ShortcutList::count | ( |  | ) | const`[virtual]`

Returns the number of entries.

Returns:
  the number of entries

Implements KShortcutList.

Definition at line 321 of file kstdaccel.cpp.

QString KStdAccel::ShortcutList::name | ( | uint | index | ) | const`[virtual]`

Returns the name of the shortcut with the given `index`.

Parameters:

  | index | the index of the shortcut (must be < count())

Returns:
  the name of the shortcut

Implements KShortcutList.

Definition at line 331 of file kstdaccel.cpp.

QString KStdAccel::ShortcutList::label | ( | uint | index | ) | const`[virtual]`

Returns the (i18n'd) label of the shortcut with the given `index`.

Parameters:

  | index | the index of the shortcut (must be < count())

Returns:
  the label (i18n'd) of the shortcut

Implements KShortcutList.

Definition at line 334 of file kstdaccel.cpp.

QString KStdAccel::ShortcutList::whatsThis | ( | uint | index | ) | const`[virtual]`

Returns the (i18n'd) What's This text of the shortcut with the given `index`.

Parameters:

  | index | the index of the shortcut (must be < count())

Returns:
  the What's This text (i18n'd) of the shortcut

Implements KShortcutList.

Definition at line 337 of file kstdaccel.cpp.

const KShortcut & KStdAccel::ShortcutList::shortcut | ( | uint | index | ) | const`[virtual]`

Returns the shortcut with the given `index`.

Parameters:

  | index | the index of the shortcut (must be < count())

Returns:
  the shortcut

See also:
  shortcutDefault()

Implements KShortcutList.

Definition at line 340 of file kstdaccel.cpp.

const KShortcut & KStdAccel::ShortcutList::shortcutDefault | ( | uint | index | ) | const`[virtual]`

Returns default shortcut with the given `index`.

Parameters:

  | index | the index of the shortcut (must be < count())

Returns:
  the default shortcut

See also:
  shortcut()

Implements KShortcutList.

Definition at line 347 of file kstdaccel.cpp.

References KStdAccel::shortcutDefault().

bool KStdAccel::ShortcutList::isConfigurable | ( | uint | index | ) | const`[virtual]`

Checks whether the shortcut with the given `index` is configurable.

Parameters:

  | index | the index of the shortcut (must be < count())

Returns:
  true if configurable, false otherwise

Implements KShortcutList.

Definition at line 354 of file kstdaccel.cpp.

bool KStdAccel::ShortcutList::setShortcut | ( | uint | index,
|  | const KShortcut & | shortcut
| ) | `[virtual]`

Sets the shortcut of the given entry.

Parameters:

  | index | the index of the shortcut (must be < count())
  | shortcut | the shortcut

Implements KShortcutList.

Definition at line 357 of file kstdaccel.cpp.

bool KStdAccel::ShortcutList::save | ( |  | ) | const`[virtual]`

Save the shortcut list.

Returns:
  true if successful, false otherwise

Implements KShortcutList.

Definition at line 366 of file kstdaccel.cpp.

References KShortcutList::writeSettings().

void KStdAccel::ShortcutList::virtual_hook | ( | int | id,
|  | void * | data
| ) | `[protected, virtual]`

| used to extend the interface with virtuals without breaking binary compatibility Reimplemented from KShortcutList. Definition at line 218 of file kshortcutlist.cpp. References KShortcutList::virtual_hook().

The documentation for this class was generated from the following files:

- kshortcutlist.h
- kshortcutlist.cpp
- kstdaccel.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:29 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003